Skip to content

Ensure Landing Page Base Template

POST
/landing-pages/ensure-base-template

Return the org’s base template, creating it if there is none.

IDEMPOTENT: it returns the existing template when one exists and spends nothing. It SPENDS CREDIT only on the first call for an org, where it clones the homepage to make one.

Authorizations

Parameters

Header Parameters

X-Target-Org-Id
Any of:
string

Responses

200

Successful Response

object
data
required

One Studio object, open-shaped. See the module docstring.

object
key
additional properties
any
pagination
Any of:
object
has_next
required

Whether there are more pages

boolean
limit
required

Items per page

integer
next_cursor
Any of:
string
notes
Any of:
Array<string>
page
required

Current page number (1-indexed)

integer
total
required

Total number of items

integer
total_available
Any of:
integer
total_is_lower_bound
Any of:
boolean

422

Validation Error

object
detail
Array<object>
object
loc
required
Array
msg
required
string
type
required
string